#include "partition.h"
#include <bits/stdc++.h>
#define pb push_back
#define eb emplace_back
#define ll long long
using namespace std;
const int N=2e5+5;

vector<int> solve(vector<int> v)
{
    int n=v.size();
    vector<int> ord;
    for(int i=0;i+3<n;i+=4) ord.pb(i),ord.pb(i+3);
    if(n%4==1) ord.pb(n-1);
    if(n%4==2) ord.pb(n-1);
    if(n%4==3) ord.pb(n-3),ord.pb(n-1);
    vector<bool> vis(n);
    for(auto x:ord) vis[x]=1;
    for(int i=n-1;i>=0;--i) if(!vis[i]) ord.pb(i);
    return ord;
}

